# OrientationSensorData

Namespace: **Wisej.Hybrid.Shared.Sensors**

Assembly: **Wisej.Hybrid** (3.5.0.0)

Contains the orientation measured by the user's device orientation sensor.

{% tabs %}
{% tab title="C#" %}

```csharp
public class OrientationSensorData : IEquatable<OrientationSensorData>
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Class OrientationSensorData
    Inherits IEquatable(Of OrientationSensorData)
```

{% endtab %}
{% endtabs %}

## Constructors

### ![](/files/CCV9PPenlC1YZvNh1I6R)OrientationSensorData()

Initializes a new instance of [OrientationSensorData](/hybrid/start/api/sensors/wisej.hybrid.shared.sensors.orientationsensordata.md).

### ![](/files/CCV9PPenlC1YZvNh1I6R)OrientationSensorData(x, y, z, w)

Initializes a new instance of the [OrientationSensorData](/hybrid/start/api/sensors/wisej.hybrid.shared.sensors.orientationsensordata.md) class.

| Name  | Type                                                          | Description  |
| ----- | ------------------------------------------------------------- | ------------ |
| **x** | [Double](https://docs.microsoft.com/dotnet/api/system.double) | X axis data. |
| **y** | [Double](https://docs.microsoft.com/dotnet/api/system.double) | Y axis data. |
| **z** | [Double](https://docs.microsoft.com/dotnet/api/system.double) | Z axis data. |
| **w** | [Double](https://docs.microsoft.com/dotnet/api/system.double) | W axis data. |

### ![](/files/CCV9PPenlC1YZvNh1I6R)OrientationSensorData(x, y, z, w)

Initializes a new instance of the [OrientationSensorData](/hybrid/start/api/sensors/wisej.hybrid.shared.sensors.orientationsensordata.md) class.

| Name  | Type                                                          | Description  |
| ----- | ------------------------------------------------------------- | ------------ |
| **x** | [Single](https://docs.microsoft.com/dotnet/api/system.single) | X axis data. |
| **y** | [Single](https://docs.microsoft.com/dotnet/api/system.single) | Y axis data. |
| **z** | [Single](https://docs.microsoft.com/dotnet/api/system.single) | Z axis data. |
| **w** | [Single](https://docs.microsoft.com/dotnet/api/system.single) | W axis data. |

## Properties

### ![](/files/CCV9PPenlC1YZvNh1I6R)Orientation

[Quaternion](https://docs.microsoft.com/dotnet/api/system.numerics.quaternion): Gets the current orientation that represents a [Quaternion](https://docs.microsoft.com/dotnet/api/system.numerics.quaternion).


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.wisej.com/hybrid/start/api/sensors/wisej.hybrid.shared.sensors.orientationsensordata.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
